Upload Chargeback Evidence

Use this API to upload the chargeback evidence for a given chargeback transaction through the Pay1st Gateway

Used in Gateway Integration

📘

NOTE This API feature is still in an beta state

Overview

A Chargeback's Evidences/Materials can be uploaded to the Pay1st gateway after receiving the Chargeback Webhook Notification. This API is a POST request that allows the Pay1st Partner to upload evidence documents.

Pre Requisites

API Description

HTTP Headers

Header NameDescription
AccessTokenThis is the Access Token field returned from the Authentication - Generate Access Token response. This should be in the format Bearer <AccessToken>
Acceptapplication/vnd.carry1st.payments.chargeback+json
Content-Typemultipart/form-data

URL Format

POST https://<payments_url>/api/pay1st/transactions/chargebacks/<chargeback-reference>/evidences

POST Parameters (in form-data format)

Field NameMandatoryNotes
fileY

The file to upload.

The following file formats are supported: application/pdf, image/jpeg, image/png.

The maximum file size allowed is 20MB.

Success Response

Valid HTTP Success Status Codes:

HTTP Status CodeNameDescription
201SuccessThis indicates that the request has been successful.
400Bad RequestAn invalid AccessTokenmight be used

HTTP Response Body:

{
    "id": 16,
    "uploadReference": "C-6AXW4ECL62QHZZL4TB2-CE",
    "chargebackReference": "C-ICYFKBQAFJ85A08XOU5-C",
    "fileName": "proof-of-transaction.png",
    "contentType": "image/png",
    "fileSizeBytes": 98405,
    "source": "MERCHANT_UPLOAD",
    "uploadedByPartnerCode": "SHOP",
    "uploadedAt": "2026-Jun-03 11:05:24",
    "status": "ACTIVE"
}

HTTP Response Fields

NameTypeDescription
idNumberThe unique identifier for this evidence
uploadReferenceStringThe Pay1st upload reference for this evidence
fileNameStringThe filename of the evidence
contentTypeStringThe mime type of the evidence
fileSizeBytesNumberThe file size of the evidence in bytes
sourceStringThis will always return MERCHANT_UPLOAD
uploadedByPartnerCodeStringThe Pay1st Partner code that represents the account that uploaded this evidence
uploadedByAdminUserIdStringIf materials are uploaded using the Pay1st console, then this is uploaded with the Admin User Identifier that performed the upload
uploadedAtStringThe date when the evidence was uploaded
statusStringThe status of the evidence. Possible values are ACTIVE, DELETED

Error Response

See Handling Error Codes for more details on handling error responses.